Package com.castlabs.android.adverts

# Class HlsInterstitialPlugin

java.lang.Object
com.castlabs.android.Plugin
com.castlabs.android.adverts.HlsInterstitialPlugin

All Implemented Interfaces:
  `AdProvider`

public class HlsInterstitialPlugin extends Plugin implements AdProvider
Plugin that provides HLS interstitial advertisement functionality. This plugin implements the AdProvider interface to handle HLS interstitial ads in the player.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HlsInterstitialPlugin()`
  Creates a new instance of HlsInterstitialPlugin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdLoader`
  `createAdLoader(AdRequest adRequest)`
  Create `AdLoader` instance based on provided `AdRequest`
  `String`
  `getId()`
  Returns the ID of the plugin.
  `String`
  `getName()`
  Return a unique name to identify the session provider.

  ### Methods inherited from class com.castlabs.android.Plugin

  `init, onRemotePlay`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HlsInterstitialPlugin

    public HlsInterstitialPlugin()
    Creates a new instance of HlsInterstitialPlugin. This constructor initializes the plugin for handling HLS interstitial advertisements.

- ## Method Details

  - ### createAdLoader

    @Nullable public AdLoader createAdLoader(@Nullable AdRequest adRequest)
    Description copied from interface: `AdProvider`
    Create `AdLoader` instance based on provided `AdRequest`
    Specified by:
      `createAdLoader` in interface `AdProvider`
    Parameters:
      `adRequest` - The `AdRequest`
    Returns:
      The `AdLoader` instance or `null`

  - ### getName

    @NonNull public String getName()
    Description copied from interface: `AdProvider`
    Return a unique name to identify the session provider.
    Specified by:
      `getName` in interface `AdProvider`
    Returns:
      The name of this provider

  - ### getId

    @NonNull public String getId()
    Description copied from class: `Plugin`
    Returns the ID of the plugin. This ID is used to identify the plugin
    Specified by:
      `getId` in class `Plugin`
    Returns:
      The plugin ID or null